Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.process
Class SortLocationsComponent

    java.lang.Object
      org.modeshape.graph.query.process.ProcessingComponent
          org.modeshape.graph.query.process.DelegatingComponent
              org.modeshape.graph.query.process.SortLocationsComponent

    public class SortLocationsComponent

extends DelegatingComponent

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.query.process.ProcessingComponent
`ProcessingComponent.DynamicOperation`

Constructor Summary
`SortLocationsComponent(ProcessingComponent delegate)`
`SortLocationsComponent(ProcessingComponent delegate, Comparator<Object[]> sortingComparator)`

Method Summary
`List<Object[]>` | `execute()` Execute this stage of processing and return the resulting tuples that each conform to the `columns`.

Methods inherited from class org.modeshape.graph.query.process.DelegatingComponent
`close, delegate`

Methods inherited from class org.modeshape.graph.query.process.ProcessingComponent
`createDynamicOperation, createSortComparator, emptyTuples, getColumns, getContext, problems`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortLocationsComponent

    public SortLocationsComponent(ProcessingComponent delegate)

### SortLocationsComponent

    public SortLocationsComponent(ProcessingComponent delegate,
                                  Comparator<Object[]> sortingComparator)

Method Detail

### execute

    public List<Object[]> execute()

  Execute this stage of processing and return the resulting tuples that each conform to the `columns`.

  Specified by:
    `execute` in class `ProcessingComponent`
  Returns:
    the list of tuples, where each tuple corresonds to the `columns`; never null
  See Also:
    `ProcessingComponent.execute()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.